Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Class DefaultFontConfig

    java.lang.Object
      org.apache.fop.fonts.DefaultFontConfig

All Implemented Interfaces:
  FontConfig

    public final class DefaultFontConfig

extends java.lang.Object
implements FontConfig

The font configuration data for the more generic fonts such as TTF and Type1, that are used by most the renderers.

Nested Class Summary
`static class` | `DefaultFontConfig.DefaultFontConfigParser` Parses the morge generic font information.
`static class` | `DefaultFontConfig.Directory` The directory to find fonts within.
`static class` | `DefaultFontConfig.Font` Represents a font object within the FOP conf.

Nested classes/interfaces inherited from interface org.apache.fop.fonts.FontConfig
`FontConfig.FontConfigParser`

Method Summary
`java.util.List<DefaultFontConfig.Directory>` | `getDirectories()` Returns a list of directories that were parsed.
`java.util.List<DefaultFontConfig.Font>` | `getFonts()` Returns the list of fonts that were parsed.
`java.util.List<java.lang.String>` | `getReferencedFontFamily()` Returns a list of referenced font families.
`boolean` | `isAutoDetectFonts()` Whether or not to enable auto-detecting of fonts in the system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFonts

    public java.util.List<DefaultFontConfig.Font> getFonts()

  Returns the list of fonts that were parsed.

  Returns:
    a list of fonts

### getDirectories

    public java.util.List<DefaultFontConfig.Directory> getDirectories()

  Returns a list of directories that were parsed.

  Returns:
    a list of directories

### getReferencedFontFamily

    public java.util.List<java.lang.String> getReferencedFontFamily()

  Returns a list of referenced font families.

  Returns:
    the referenced font families

### isAutoDetectFonts

    public boolean isAutoDetectFonts()

  Whether or not to enable auto-detecting of fonts in the system.

  Returns:
    true to enable auto-detect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.